using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FingersDance.Data;

namespace FingersDance.ViewModels
{
    public class SessionViewModel
    {
        private Session session = new Session();

        #region Constructor

        public SessionViewModel() { }

        public SessionViewModel(Session s)
        {
            session = s;
        }

        #endregion

        #region Properties

        public String Name
        {
            get { return session.Name; }
            set { session.Name = value; }
        }

        public String VideoPath
        {
            get { return session.Videopath; }
            set { session.Videopath = value; }
        }

        public String Alias
        {
            get { return session.Alias; }
            set { session.Alias = value; }
        }

        public String Email
        {
            get { return session.Email; }
            set { session.Email = value; }
        }

        public String Description
        {
            get { return session.Description; }
            set { session.Description = value; }
        }

        public Dictionary<String, Project> Projects
        {
            get { return session.Projects; }
            set { session.Projects = value; }
        }

        #endregion
    }
}
